<?xml version="1.0" encoding="UTF-8"?>
<web-app version="2.4" xmlns="http://java.sun.com/xml/ns/j2ee">
    <listener>
        <listener-class>fr.gouv.finances.dgfip.xemelios.web.ServletContextListenerImpl</listener-class>
    </listener>
    <context-param>
        <description>liste des répertoires où on trouve la conf des documents. Si pas renseignée, WEB-INF/documents-def est utilisé</description>
        <param-name>documents-def.dir</param-name>
        <param-value>%basedir%/src/carte-achat/conf,%basedir%/src/cfg-paye/conf,%basedir%/src/facture-depense/conf,%basedir%/src/facture-recette/conf,%basedir%/src/pes-aller/conf,%basedir%/src/pes-facture/conf,%basedir%/src/quittancement/conf,%basedir%/src/rapport/conf,%basedir%/src/versement/conf,%basedir%/src/edmn/conf,%basedir%/src/erar/conf,%basedir%/src/cg-colloc/conf,%basedir%/src/cg-etat/conf</param-value>
    </context-param>
    <context-param>
        <param-name>baseDir</param-name>
        <param-value>/home/cmarchand/devel/XEMELIOS_NB/XEMELIOS</param-value>
    </context-param>
    <session-config>
        <session-timeout>60</session-timeout>
    </session-config>
    <servlet>
        <servlet-name>action</servlet-name>
        <servlet-class>org.apache.struts.action.ActionServlet</servlet-class>
        <init-param>
            <param-name>config</param-name>
            <param-value>/WEB-INF/struts-config.xml</param-value>
        </init-param>
        <load-on-startup>2</load-on-startup>
    </servlet>
    <servlet>
        <servlet-name>xemeliosService</servlet-name>
        <servlet-class>fr.gouv.finances.dgfip.xemelios.web.gwt.server.service.XemeliosServiceImpl</servlet-class>
    </servlet>
    <servlet>
        <servlet-name>gwt-log-remote-logger-servlet</servlet-name>
        <servlet-class>com.allen_sauer.gwt.log.server.RemoteLoggerServiceImpl</servlet-class>
    </servlet>
    
    <servlet-mapping>
        <servlet-name>xemeliosService</servlet-name>
        <url-pattern>/xemeliosService</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>action</servlet-name>
        <url-pattern>*.do</url-pattern>
    </servlet-mapping>
    <servlet-mapping>
        <servlet-name>gwt-log-remote-logger-servlet</servlet-name>
        <url-pattern>/xemeliosWeb/gwt-log</url-pattern>
    </servlet-mapping>
    <filter>
        <filter-name>Log4jMDCServletFilter</filter-name>
        <filter-class>fr.gouv.finances.dgfip.xemelios.web.utils.filters.Log4jMDCServletFilter</filter-class>
    </filter>
    <!--filter>
        <filter-name>PdfFilter</filter-name>
        <filter-class>fr.gouv.finances.dgfip.xemelios.web.utils.filters.PdfFilter</filter-class>
    </filter-->
    <filter>
        <filter-name>PerfLoggerServletFilter</filter-name>
        <filter-class>fr.gouv.finances.dgfip.xemelios.web.utils.filters.PerfLoggerServletFilter</filter-class>
    </filter>
    <filter>
        <filter-name>IgnoreNoCacheHeadersFilter</filter-name>
        <filter-class>fr.gouv.finances.dgfip.xemelios.web.utils.filters.IgnoreNoCacheHeadersFilter</filter-class>
    </filter>
    <filter>
        <description>Converts href from displayed documents</description>
        <filter-name>HRefConverter</filter-name>
        <filter-class>fr.gouv.finances.dgfip.xemelios.web.utils.filters.HRefXemeliosFilter</filter-class>
    </filter>
    <filter-mapping>
        <filter-name>Log4jMDCServletFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping>
    <!--filter-mapping>
        <filter-name>PerfLoggerServletFilter</filter-name>
        <url-pattern>/*</url-pattern>
    </filter-mapping-->
    <filter-mapping>
        <filter-name>IgnoreNoCacheHeadersFilter</filter-name>
        <url-pattern>/attachment.do</url-pattern>
    </filter-mapping>
    <filter-mapping>
        <filter-name>IgnoreNoCacheHeadersFilter</filter-name>
        <url-pattern>/getExportResult.do</url-pattern>
    </filter-mapping>
    <filter-mapping>
        <filter-name>IgnoreNoCacheHeadersFilter</filter-name>
        <url-pattern>/simpleExport.do</url-pattern>
    </filter-mapping>
    <!--filter-mapping>
        <filter-name>HRefConverter</filter-name>
        <url-pattern>/navigate.do</url-pattern>
    </filter-mapping>
    <filter-mapping>
        <filter-name>HRefConverter</filter-name>
        <url-pattern>/displayDocument.do</url-pattern>
    </filter-mapping-->
    <filter-mapping>
        <filter-name>HRefConverter</filter-name>
        <url-pattern>/customLink.do</url-pattern>
    </filter-mapping>


    <welcome-file-list>
        <welcome-file>index.jsp</welcome-file>
    </welcome-file-list>
    <error-page>
        <exception-type>java.lang.Throwable</exception-type>
        <location>/erreur.jsp</location>
    </error-page>
</web-app>
